def getHightPrice(ce_instrument, pe_instrument, logger):
    cur_min = None
    ce_temp_high = 0
    ce_temp_low = 9999
    ce57s = 0
    ce1s = 0
    ce_instrument_p = str(prefix) + str(ce_instrument)
    while True:
        current_time = time.localtime()
        second = current_time.tm_sec
        if second == 1:
            this_min = current_time.tm_min
            ce_high_price_data = kite.ltp(ce_instrument_p)

            ce_high_price = ce_high_price_data[ce_instrument_p]['last_price']
            ################## OPEN PRICE ########################
            ce1s = ce_high_price #Open Price
            ################## OPEN PRICE ########################

            logger.info(f"Sec: {second}, CE Price: {ce1s}")
            
            if ce_temp_high < ce_high_price:
                ce_temp_high = ce_high_price
            
            if ce_temp_low > ce_high_price:
                ce_temp_low = ce_high_price

            while True:
                current_time = time.localtime()
                second = current_time.tm_sec
                cur_min = current_time.tm_min
                try:
                    ce_high_price_data = kite.ltp(ce_instrument_p)

                    ce_high_price = ce_high_price_data[ce_instrument_p]['last_price']
                    logger.info(f"Sec: {second}, CE Price: {ce_high_price}")

                    ################## HIGH & LOW PRICE ########################
                    if ce_temp_high < ce_high_price:
                        ce_temp_high = ce_high_price

                    if ce_temp_low > ce_high_price:
                        ce_temp_low = ce_high_price
                    ################## HIGH & LOW PRICE ########################

                    # This will return when next min starts
                    if (cur_min == this_min+1) and second >= 0:
                        ################## CLOSE PRICE ########################
                        ce57s = ce_high_price
                        ################## CLOSE PRICE ########################

                        return ce_temp_high, pe_temp_high, ce_temp_low, pe_temp_low, this_min, ce57s, pe57s, is_ce_red, is_pe_red, ce1s, pe1s
                except Exception as e:
                    print("getHightPrice - Exception occured: {}".format(e))
            
